/******************************************************************************
*
* Narrative : Defines function prototypes for julian and gregorian date
*             conversion functions.  Converts any date from 10/16/1582
*             to 12/31/9999.
*
* Notice	: Copr. (C) 1990-1993 Albert C. Schmitt.  All Rights Reserved.
*
******************************************************************************/

#if !defined(DATEVLD_H)
#define DATEVLD_H

#ifdef __cplusplus
extern "C" {
#endif

LPSTR FAR PASCAL dayName(LONG lJDate);
int FAR PASCAL daysInMonth(int nMonth, int nYear);
LONG FAR PASCAL _fromJulian(LPINT lpnMonth,
							LPINT lpnDay,
							LPINT lpnYear,
							LONG  lJDate);
int FAR PASCAL isLeapYear(int nYear);
VOID FAR PASCAL toDate(LPSTR lpszDate, LONG lJDate);
LONG FAR PASCAL toJul (LPSTR lpszDate);
LONG FAR PASCAL _tojulian (int nMonth, int nDay, int nYear);
int FAR PASCAL yearName(LONG lJDate);
VOID FAR PASCAL StrDate (LPSTR lpszDate, int nMonth, int nDay, int nYear);
int FAR PASCAL dayOfWeek(LONG lJDate);
LONG FAR PASCAL lastDayOfMonth(LPSTR lpszDate);
VOID FAR PASCAL InitDate(void);
int FAR PASCAL SetBaseYear(int nNewBaseYear);
int FAR PASCAL dayNameEx(HINSTANCE hinst,
						 UINT idResource,
						 LPSTR lpszBuffer,
						 int cbBuffer,
						 LONG lJDate);

#ifdef	__cplusplus
}
#endif

#endif /* DATEVLD_H */
