//
//	Copr. (C) 1990-1993 A. Schmitt. All Rights Reserved.
//
#define STRICT
#include <windows.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include "datevld.h"

///////////////////////////////////////////////////////////////////////////////
// Notice:
// The mathematical formulae that convert a date to and from its Julian
// representation are derived in part from the Microsoft QuickC Programmer's
// Toolbox  by John Clark Craig published by Microsoft Press.
///////////////////////////////////////////////////////////////////////////////

//
//	converts Julian date to Gregorian
//
LONG FAR PASCAL _fromJulian (LPINT lpnMonth,
							LPINT  lpnDay,
							LPINT  lpnYear,
							LONG   lJDate)
{
    long x, y, d, m;

	if (lJDate < 0L)
	{
		*lpnMonth = 0;
		*lpnDay   = 0;
		*lpnYear  = 0;
		lJDate  = 0L;
	}
	else
	{
		lJDate += 2299161;

		x = 4L * lJDate - 6884477;
		y = (x / 146097) * 100L;
		d = (x % 146097) / 4L;
		x = 4L * d + 3L;
		y = ( x / 1461L ) + y;
		d = ( x % 1461L ) / 4L;
		d++;
		x = 5L * d - 3L;
		m = x / 153L;
		m++;
		d = (x % 153L) / 5L;
		d++;

		if (m < 11)
			*lpnMonth = (int) (m + 2);
		else
			*lpnMonth = (int) (m - 10);

		*lpnDay = (int) d;
		*lpnYear = (int) (y + m / 11);

	}

	return lJDate;
}

