//
//	Copr. (C) 1990-1993 A. Schmitt. All Rights Reserved.
//
#define STRICT
#include <windows.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include "datevld.h"

//
// Converts the given string date to a string that contains day of the month.
//
// Parameters
//  lpszDate - A validate string date.
//
// Returns
//  The Julian of the last day of the given month.
//
LONG FAR PASCAL lastDayOfMonth(LPSTR lpszDate)
{
	int nMonth;
	int nDay;
	int nYear;
    long lJDate;

    //
    // convert date to Julian.
    //
    lJDate = toJul(lpszDate);
    if (lJDate == 0L)
        return lJDate;

	//
    // split Julian date into its components.
	//
	_fromJulian(&nMonth, &nDay, &nYear, lJDate);

    //
	// get last day of month.
    //
	nDay = daysInMonth(nMonth, nYear);

    //
    // rebuild date string.
    //
	StrDate(lpszDate, nMonth, nDay, nYear);

    //
    // return Julian of last day of month.
    //
	return _tojulian(nMonth, nDay, nYear);
}
