//
//	Copr. (C) 1990-1993 A. Schmitt. All Rights Reserved.
//
#define STRICT
#include <windows.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include "datevld.h"

static char szShortDate[12]; // date format from WIN.INI
static char szDate[2];		 // date separator from WIN.INI

static char szDtFormat[20];  // sprintf date format string
static int	nYearLen;		 // year length (2 or 4)

BOOL bInitDate = FALSE; 	 // FALSE = read date info from WIN.INI
char cDateOrder;			 // date order ('M'=MDY, 'd'=DMY, 'y'=YMD)

//
// Generate a printf date format from the date order specified in the
// WIN.INI file.
//
VOID FAR PASCAL InitDate(void)
{
	int  nPos;
	char *pShortDate = szShortDate;

	GetProfileString("intl", "sShortDate", "MM/dd/yy", szShortDate, 12);
	GetProfileString("intl", "sDate",      "/",        szDate,       2);

	cDateOrder = pShortDate[0];
	szDtFormat[0] = '\0';

	nYearLen = 2;
    while (*pShortDate)
    {
		nPos = _fstrcspn(pShortDate, szDate);
		if (nPos == 2)
			_fstrcat(szDtFormat, "%02d");
		else if (nPos == 1)
			_fstrcat(szDtFormat, "%d");
        else
        {
			_fstrcat(szDtFormat, "%4d");
			nYearLen = 4;
        }

		pShortDate += nPos;
        if (*pShortDate)
        {
            pShortDate++;
			_fstrcat(szDtFormat, szDate);
        }
    }
}

//
// convert date to a string.
//
VOID FAR PASCAL StrDate(LPSTR lpszDate, int nMonth, int nDay, int nYear)
{
	if (!bInitDate)
	{
		bInitDate = TRUE;
		InitDate();
	}

	if (nYearLen == 2)
		nYear %= 100;

	if (cDateOrder == 'M')
		wsprintf(lpszDate, szDtFormat, nMonth, nDay, nYear);
	else if (cDateOrder == 'd')
		wsprintf(lpszDate, szDtFormat, nDay, nMonth, nYear);
	else
		wsprintf(lpszDate, szDtFormat, nYear, nMonth, nDay);
}
