//
//	Copr. (C) 1990-1993 A. Schmitt. All Rights Reserved.
//
#define STRICT
#include <windows.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include "datevld.h"

///////////////////////////////////////////////////////////////////////////////
// Notice:
// The mathematical formulae that convert a date to and from its Julian
// representation are derived in part from the Microsoft QuickC Programmer's
// Toolbox  by John Clark Craig published by Microsoft Press.
///////////////////////////////////////////////////////////////////////////////

//
// returns Julian value of Gregorian date
//
LONG FAR PASCAL _tojulian (int nMonth, int nDay, int nYear)
{
	if (nMonth < 0 || nDay < 0 || nYear < 1582)
        return 0L;

	if (nMonth > 2)
		nMonth -= 3;
	else
	{
		nMonth += 9;
		nYear--;
	}

	return (146097 * (nYear / 100) / 4) +
		   (1461L * (nYear % 100) / 4)	+
		   ((153L * nMonth + 2) / 5 + nDay - 578042);
}

